%define	upstream_name	 Convert-TNEF
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://www.cpan.org/modules/by-module/Convert/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Wrap)
BuildRequires: perl(MIME::Body) >= 4.109.0
BuildRequires: perl-MIME-tools
BuildArch:  noarch

%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*
%doc Changes META.yml MYMETA.yml README

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 364811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 295412
- update to 0.18

* Thu Feb 24 2011 spuhler <spuhler> 0.170.0-2.mga1
+ Revision: 58196
- Increased rel for rebuild against perl-5.12

* Sun Jan 23 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 33639
- mageia rebuild
- imported package perl-Convert-TNEF

